curl --request GET \
--url https://app.leadconduit.com/caps/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/caps/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/caps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"duration": 1,
"duration_units": "month",
"maximum": 1200,
"type": "volume",
"id": "5fd438f91f0d12766e2bfee5",
"cap_ids": [
"5fd4371e940df5a34a3888b2"
],
"caps": [
{
"id": "5fd438f91f0d12766e2bfee5",
"type": "volume",
"name": "Monthly leads from TX",
"maximum": 1200,
"duration": 1,
"duration_units": "month",
"rule_set": {
"op": "and",
"rules": [
{
"lhv": "lead.state",
"op": "is equal to",
"rhv": "TX",
"id": "1aacd0",
"rule_set": "<unknown>"
}
],
"id": "0d144a"
},
"caps": "<array>",
"time_zone": "America/New_York",
"reason": "<string>",
"created_at": "2020-11-23T11:41:52Z"
}
],
"count": 123,
"expires_at": "2020-11-23T11:41:52Z",
"failed_count": 123,
"flow_id": "5fd438f91f0d12766e2bfee5",
"name": "Monthly leads from TX",
"source_id": "5fd438f91f0d12766e2bfee5",
"started_at": "2020-11-23T11:41:52Z",
"step_id": "5fd438f91f0d12766e2bfee5",
"time_zone": "America/New_York",
"updated_at": "2020-11-23T11:41:52Z"
}Get a cap counter
Returns the cap associated to the ID
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Path Parameters
ID of the cap to get 24 character alpha-numeric BSON identifier
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
Response
OK
A cap counter keeps track of the number of leads counted against the cap. The counter has the same ID as the cap configuration saved with the flow. Most of the properties of the cap configuration are available on the cap counter, as a convenience.
The number duration_units for which the cap persists
x >= 11
The unit of time for which the cap persists
month, week, day, hour, minute The number of successful leads that will be accepted
1200
The type of this cap (LeadConduit may eventually support different types of caps)
volume ID of this cap
^[0-9a-fA-F]{24}$"5fd438f91f0d12766e2bfee5"
24 character alpha-numeric BSON identifier
^[0-9a-fA-F]{24}$Nested caps evaluated if rules for the parent cap pass
Show child attributes
Show child attributes
The number of successful leads during the current interval
Read-only time the cap interval ends
"2020-11-23T11:41:52Z"
The number of leads that failed because the cap was reached during the current interval
ID of the flow this cap belongs to
^[0-9a-fA-F]{24}$"5fd438f91f0d12766e2bfee5"
The human-readable name of the cap
"Monthly leads from TX"
ID of the source this cap belongs to
^[0-9a-fA-F]{24}$"5fd438f91f0d12766e2bfee5"
Read-only time the cap interval started
"2020-11-23T11:41:52Z"
ID of the step this cap belongs to
^[0-9a-zA-Z]{6}$"5fd438f91f0d12766e2bfee5"
The time zone in which cap resets
"America/New_York"
"2020-11-23T11:41:52Z"